#ifndef __ARENA_H__
#define __ARENA_H__

#include "entity.h"

/*
 * Arena sinifi oyun alanimizi tanimlar.Cizilebilen her nesne gibi
 * arena sinifi da Entity sinifindan turetilmistir. Cizim islemini render
 * yordami icerisinde gerceklestirir, ve cizimi glut kutuphanesinin
 * quadric yordamlarini kullanarak yapar.
 *
 * isOutside() yordami ile bir noktanin oyun alani icinde olup olmadigi
 * kabaca hesaplanabilir.
 *
 */

class Arena : public Entity {

public:

   Arena(float radius=30);
   ~Arena();

   void setRadius(int r);
   bool isOutside(Vec3d pos);

   virtual void render();

private:

   float radius;
   GLUquadricObj *quadratic;


};


#endif